- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator Class Reference

Search for all occurrences

## Detailed Description

### template<typename T, int NodeIndex = 0>
class FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator

Definition at line 146 of file fbxintrusivelist.h.

`#include <fbxintrusivelist.h>`

List of all members.

## Public Member Functions
| IntrusiveListIterator (NodeT *ptr=0)
IntrusiveListIterator & | operator++ ()
const IntrusiveListIterator | operator++ (int)
IntrusiveListIterator & | operator-- ()
const IntrusiveListIterator | operator-- (int)
IntrusiveListIterator & | operator= (const IntrusiveListIterator &other)
reference | operator* () const
pointer | operator-> () const
bool | operator== (const IntrusiveListIterator &other) const
bool | operator!= (const IntrusiveListIterator &other) const
NodeT * | Get () const

## Constructor & Destructor Documentation

IntrusiveListIterator | ( | NodeT * | ptr = `0` | ) | `[inline, explicit]`

Definition at line 149 of file fbxintrusivelist.h.

    :mPtr(ptr){}

## Member Function Documentation

IntrusiveListIterator& operator++ | ( |  | ) | `[inline]`

Definition at line 152 of file fbxintrusivelist.h.

            {
                mPtr = mPtr->mNext;return (*this);
            }

const IntrusiveListIterator operator++ | ( | int |  | ) | `[inline]`

Definition at line 157 of file fbxintrusivelist.h.

            {
                IntrusiveListIterator temp = *this;
                ++*this;
                return (temp);
            }

IntrusiveListIterator& operator-- | ( |  | ) | `[inline]`

Definition at line 164 of file fbxintrusivelist.h.

            {
                mPtr = mPtr->mPrev;return *this;
            }

const IntrusiveListIterator operator-- | ( | int |  | ) | `[inline]`

Definition at line 169 of file fbxintrusivelist.h.

            {
                IntrusiveListIterator temp = *this;
                --*this;
                return (temp);
            }

IntrusiveListIterator& operator= | ( | const IntrusiveListIterator & | other | ) | `[inline]`

Definition at line 175 of file fbxintrusivelist.h.

    {mPtr = other.mPtr; return *this;}

reference operator* | ( |  | ) | const `[inline]`

Definition at line 177 of file fbxintrusivelist.h.

    { return *(mPtr->mData); }

pointer operator-> | ( |  | ) | const `[inline]`

Definition at line 178 of file fbxintrusivelist.h.

    { return (&**this); }

bool operator== | ( | const IntrusiveListIterator & | other | ) | const `[inline]`

Definition at line 179 of file fbxintrusivelist.h.

    { return mPtr==other.mPtr; }

bool operator!= | ( | const IntrusiveListIterator & | other | ) | const `[inline]`

Definition at line 180 of file fbxintrusivelist.h.

    { return !(*this == other); }

NodeT* Get | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 182 of file fbxintrusivelist.h.

    { return mPtr; }

The documentation for this class was generated from the following file:

- fbxsdk/core/base/fbxintrusivelist.h

FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator
FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListIterator